Loading...
Searching...
No Matches
seqan3::pod_tuple< type0 > Struct Template Reference
Utility » Tuple

Recursion anchor for seqan3::pod_tuple. More...

`#include <seqan3/utility/tuple/pod_tuple.hpp>`

Inheritance diagram for seqan3::pod_tuple< type0 >:
[legend]

## Public Member Functions

Comparison operators
Lexicographically compares the values in the tuple.
constexpr bool | operator== (pod_tuple const &rhs) const noexcept
| Checks whether *this is equal to rhs.
constexpr bool | operator!= (pod_tuple const &rhs) const noexcept
| Checks whether *this is not equal to rhs.
constexpr bool | operator< (pod_tuple const &rhs) const noexcept
| Checks whether *this is less than rhs.
constexpr bool | operator> (pod_tuple const &rhs) const noexcept
| Checks whether *this is greater than rhs.
constexpr bool | operator<= (pod_tuple const &rhs) const noexcept
| Checks whether *this is less than or equal to rhs.
constexpr bool | operator>= (pod_tuple const &rhs) const noexcept
| Checks whether *this is greater than or equal to rhs.

## Related Symbols

(Note that these are not member symbols.)
| pod_tuple (types &&...) -> pod_tuple< types... >
| User defined deduction guide enables easy use.
Access an element of a pod_tuple by index
The same as std::get on a std::tuple. Note that these functions are available, both, in the seqan3 namespace and in namespace std.
constexpr auto & | get (seqan3::pod_tuple< types... > &t) noexcept
| The same as std::get on a std::tuple.
constexpr auto const & | get (seqan3::pod_tuple< types... > const &t) noexcept
| The same as std::get on a std::tuple.
constexpr auto && | get (seqan3::pod_tuple< types... > &&t) noexcept
| The same as std::get on a std::tuple.
constexpr auto const && | get (seqan3::pod_tuple< types... > const &&t) noexcept
| The same as std::get on a std::tuple.
Access an element of a pod_tuple by type
The same as std::get on a std::tuple. Note that these functions are available, both, in the seqan3 namespace and in namespace std. As is the case with std::tuple, this function is only defined if the type appears once in the tuple, i.e. std::get<int>(std::tuple<int, int>{1,2}) is not defined.
constexpr auto & | get (seqan3::pod_tuple< arg_types... > &t) noexcept
| The same as std::get on a std::tuple.
constexpr auto const & | get (seqan3::pod_tuple< arg_types... > const &t) noexcept
| The same as std::get on a std::tuple.
constexpr auto && | get (seqan3::pod_tuple< arg_types... > &&t) noexcept
| The same as std::get on a std::tuple.
constexpr auto const && | get (seqan3::pod_tuple< arg_types... > const &&t) noexcept
| The same as std::get on a std::tuple.

## Detailed Description

template<typename type0>
struct seqan3::pod_tuple< type0 >

Recursion anchor for seqan3::pod_tuple.

Template Parameters

  type0 | The value's type (every tuple must contain at least one type).

The documentation for this struct was generated from the following file:

- pod_tuple.hpp

Hide me